## r-cran-collapse 1.7.6

=== DESCRIPTION ===
Package: collapse
Title: Advanced and Fast Data Transformation
Version: 1.7.6
Date: 2022-02-11
Authors@R: c(
           person("Sebastian", "Krantz", role = c("aut", "cre"), 
                  email = "sebastian.krantz@graduateinstitute.ch"),
           person("Matt", "Dowle", role = "ctb"),
           person("Arun", "Srinivasan", role = "ctb"),
           person("Morgan", "Jacob", role = "ctb"),
           person("Dirk", "Eddelbuettel", role = "ctb"),
           person("Laurent", "Berge", role = "ctb"),
           person("Kevin", "Tappe", role = "ctb"),
           person("R Core Team and contributors worldwide", role = "ctb"),
           person("Martyn", "Plummer", role = "cph"),
           person("1999-2016 The R Core Team", role = "cph")
           )
Description: A C/C++ based package for advanced data transformation and 
    statistical computing in R that is extremely fast, flexible and 
    parsimonious to code with, class-agnostic and programmer friendly. 
    It is well integrated with base R, 'dplyr' / (grouped) 'tibble', 
    'data.table', 'plm' (panel-series and data frames), 'sf' data frames, and 
    non-destructively handles other matrix or data frame based classes (such as 
    'ts', 'xts' / 'zoo', 'timeSeries', 'tsibble', 'tibbletime' etc.)
    --- Key Features: ---
    (1) Advanced statistical programming: A full set of fast statistical functions 
        supporting grouped and weighted computations on vectors, matrices and 
        data frames. Fast and programmable grouping, ordering, unique values / rows, 
        factor generation and interactions. Fast and flexible functions for data 
        manipulation, data object conversions, and memory efficient R programming.
    (2) Advanced aggregation: Fast and easy multi-data-type, multi-function, 
        weighted, parallelized and fully custom data aggregation.
    (3) Advanced transformations: Fast row / column arithmetic, (grouped) replacing 
        and sweeping out of statistics, (grouped, weighted) scaling / standardizing, 
        between (averaging) and (quasi-)within (demeaning) transformations, 
        higher-dimensional centering (i.e. multiple fixed effects or polynomials), 
        linear prediction, model fitting and testing exclusion restrictions.
    (4) Advanced time-computations: Fast (sequences of) lags / leads, and 
        (lagged / leaded, iterated, quasi-, log-) differences and (compounded) 
        growth rates on (irregular) time series and panel data. 
        Multivariate auto-, partial- and cross-correlation functions for panel data. 
        Panel data to (ts-)array conversions.
    (5) List processing: (Recursive) list search, splitting, 
        extraction / subsetting, data-apply, and generalized recursive 
        row-binding / unlisting in 2D.
    (6) Advanced data exploration: Fast (grouped, weighted, panel-decomposed) 
        summary statistics for complex multilevel / panel data.
URL: https://sebkrantz.github.io/collapse/,
        https://github.com/SebKrantz/collapse,
        https://twitter.com/collapse_R
BugReports: https://github.com/SebKrantz/collapse/issues
License: GPL (>= 2) | file LICENSE
Encoding: UTF-8
LazyData: true
Depends: R (>= 2.10)
Imports: Rcpp (>= 1.0.1)
LinkingTo: Rcpp
Suggests: fastverse, data.table, magrittr, kit, sf, plm, fixest, vars,
        RcppArmadillo, RcppEigen, dplyr, ggplot2, scales,
        microbenchmark, testthat, covr, knitr, rmarkdown
SystemRequirements: C++11
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2022-02-11 00:37:13 UTC; Sebastian Krantz
Author: Sebastian Krantz [aut, cre],
  Matt Dowle [ctb],
  Arun Srinivasan [ctb],
  Morgan Jacob [ctb],
  Dirk Eddelbuettel [ctb],
  Laurent Berge [ctb],
  Kevin Tappe [ctb],
  R Core Team and contributors worldwide [ctb],
  Martyn Plummer [cph],
  1999-2016 The R Core Team [cph]
Maintainer: Sebastian Krantz <sebastian.krantz@graduateinstitute.ch>
Repository: CRAN
Date/Publication: 2022-02-11 12:30:02 UTC

=== debian/changelog ===
r-cran-collapse (1.7.6-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 12 Feb 2022 07:57:47 +0100

r-cran-collapse (1.7.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 26 Jan 2022 20:11:16 +0100

r-cran-collapse (1.7.0-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * d/rules: Remove whitespace

  [ Andreas Tille ]
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jan 2022 11:52:19 +0100

r-cran-collapse (1.6.5-2) unstable; urgency=medium

  * Team upload.
    + Source-only upload for testing migration

 -- Nilesh Patra <nilesh@debian.org>  Thu, 21 Oct 2021 14:37:39 +0530

r-cran-collapse (1.6.5-1) unstable; urgency=medium

  * Initial release (closes: #995154)

 -- Andreas Tille <tille@debian.org>  Mon, 27 Sep 2021 10:27:05 +0200

=== debian/control ===
Source: r-cran-collapse
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 1.0.1)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-collapse
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-collapse.git
Homepage: https://cran.r-project.org/package=collapse
Rules-Requires-Root: no

Package: r-cran-collapse
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R advanced and fast data transformation
 A C/C++ based package for advanced data transformation and statistical
 computing in R that is extremely fast, flexible and parsimonious to code
 with, class-agnostic and programmer friendly. It is well integrated with
 base R, 'dplyr' / (grouped) 'tibble', 'data.table', 'plm' (panel-series
 and data frames), 'sf' data frames, and non-destructively handles other
 matrix or data frame based classes (such as 'ts', 'xts' / 'zoo',
 'timeSeries', 'tsibble', 'tibbletime' etc.) --- Key Features: ---
 (1) Advanced statistical programming: A full set of fast statistical
     functions supporting grouped and weighted computations on vectors,
     matrices and data frames. Fast and programmable grouping, ordering,
     unique values / rows, factor generation and interactions. Fast and
     flexible functions for data manipulation and data object
     conversions.
 (2) Advanced aggregation: Fast and easy multi-data-type, multi-function,
     weighted, parallelized and fully customized data aggregation.
 (3) Advanced transformations: Fast row / column arithmetic, (grouped)
     replacing and sweeping out of statistics, (grouped, weighted)
     scaling / standardizing, between (averaging) and (quasi-)within
     (centering / demeaning) transformations, higher-dimensional
     centering (i.e. multiple fixed effects transformations), linear
     prediction / partialling-out, linear model fitting and testing.
 (4) Advanced time-computations: Fast (sequences of) lags / leads, and
     (lagged / leaded, iterated, quasi-, log-) differences, (compounded)
     growth rates, and cumulative sums on (unordered, irregular) time
     series and panel data. Multivariate auto-, partial- and cross-
     correlation functions for panel data. Panel data to (ts-)array
     conversions.
 (5) List processing: (Recursive) list search / identification,
     splitting, extraction / subsetting, data-apply, and generalized
     recursive row-binding / unlisting in 2D.
 (6) Advanced data exploration: Fast (grouped, weighted, panel-
     decomposed) summary statistics for complex multilevel / panel data.

## r-cran-collapse 1.8.8

=== debian/changelog ===
r-cran-collapse (1.8.8-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 22 Aug 2022 08:10:35 +0200

r-cran-collapse (1.8.6-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 18 Jun 2022 15:18:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-collapse
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-collapse
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-collapse.git
+Homepage: https://cran.r-project.org/package=collapse
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp (>= 1.0.1)
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-collapse
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-collapse.git
-Homepage: https://cran.r-project.org/package=collapse
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-collapse
 Architecture: any

## r-cran-collapse 1.9.2

=== DESCRIPTION ===
Package: collapse
Title: Advanced and Fast Data Transformation
Version: 1.9.2
Date: 2023-01-24
Authors@R: c(
           person("Sebastian", "Krantz", role = c("aut", "cre"), 
                  email = "sebastian.krantz@graduateinstitute.ch"),
           person("Matt", "Dowle", role = "ctb"),
           person("Arun", "Srinivasan", role = "ctb"),
           person("Morgan", "Jacob", role = "ctb"),
           person("Dirk", "Eddelbuettel", role = "ctb"),
           person("Laurent", "Berge", role = "ctb"),
           person("Kevin", "Tappe", role = "ctb"),
           person("R Core Team and contributors worldwide", role = "ctb"),
           person("Martyn", "Plummer", role = "cph"),
           person("1999-2016 The R Core Team", role = "cph")
           )
Description: A C/C++ based package for advanced data transformation and 
    statistical computing in R that is extremely fast, class-agnostic,
    and programmer friendly through a flexible and robust API. Core functionality 
    includes a rich set of S3 generic grouped and weighted statistical functions 
    for vectors, matrices and data frames, which provide efficient low-level 
    vectorizations, OpenMP multithreading, and skip missing values by default. 
    These are integrated with fast grouping and ordering algorithms (also callable 
    from C), and efficient data manipulation functions. The package also provides 
    a flexible and rigorous approach to time series and panel data in R. It further 
    includes fast functions for common statistical procedures, detailed (grouped, 
    weighted) summary statistics, powerful tools to work with nested data, fast 
    data object conversions, functions for memory efficient R programming, and 
    helpers to effectively deal with variable labels, attributes, and missing data. 
    It is well integrated with basic R, 'dplyr'/'tibble', 'data.table', 'sf', 'plm' 
    (panel-series and data frames), and accommodates, by virtue of smart internal 
    attribute handling, many other classes (like 'ts', 'xts'/'zoo' or 'tsibble').
URL: https://sebkrantz.github.io/collapse/,
        https://github.com/SebKrantz/collapse,
        https://twitter.com/collapse_R
BugReports: https://github.com/SebKrantz/collapse/issues
License: GPL (>= 2) | file LICENSE
Encoding: UTF-8
LazyData: true
Depends: R (>= 3.3.0)
Imports: Rcpp (>= 1.0.1)
LinkingTo: Rcpp
Suggests: fastverse, data.table, magrittr, kit, xts, zoo, plm, fixest,
        vars, RcppArmadillo, RcppEigen, tibble, dplyr, ggplot2, scales,
        microbenchmark, testthat, covr, knitr, rmarkdown
SystemRequirements: C++11
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2023-01-24 13:08:44 UTC; sebastiankrantz
Author: Sebastian Krantz [aut, cre],
  Matt Dowle [ctb],
  Arun Srinivasan [ctb],
  Morgan Jacob [ctb],
  Dirk Eddelbuettel [ctb],
  Laurent Berge [ctb],
  Kevin Tappe [ctb],
  R Core Team and contributors worldwide [ctb],
  Martyn Plummer [cph],
  1999-2016 The R Core Team [cph]
Maintainer: Sebastian Krantz <sebastian.krantz@graduateinstitute.ch>
Repository: CRAN
Date/Publication: 2023-01-25 10:10:02 UTC

=== debian/changelog ===
r-cran-collapse (1.9.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jan 2023 13:42:07 +0100

r-cran-collapse (1.9.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jan 2023 15:32:50 +0100

r-cran-collapse (1.8.9-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 11 Oct 2022 11:36:20 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-collapse
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-collapse.git
 Homepage: https://cran.r-project.org/package=collapse
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-collapse 1.9.6

=== debian/changelog ===
r-cran-collapse (1.9.6-1) unstable; urgency=medium

  * New upstream version
  * lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Mon, 12 Jun 2023 16:03:48 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp (>= 1.0.1)
+               r-cran-rcpp
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-collapse

## r-cran-collapse 2.0.10

=== DESCRIPTION ===
Package: collapse
Title: Advanced and Fast Data Transformation
Version: 2.0.10
Date: 2024-02-09
Authors@R: c(
           person("Sebastian", "Krantz", role = c("aut", "cre"), 
                  email = "sebastian.krantz@graduateinstitute.ch", 
                  comment = c(ORCID = "0000-0001-6212-5229")),
           person("Matt", "Dowle", role = "ctb"),
           person("Arun", "Srinivasan", role = "ctb"),
           person("Morgan", "Jacob", role = "ctb"),
           person("Dirk", "Eddelbuettel", role = "ctb"),
           person("Laurent", "Berge", role = "ctb"),
           person("Kevin", "Tappe", role = "ctb"),
           person("R Core Team and contributors worldwide", role = "ctb"),
           person("Martyn", "Plummer", role = "cph"),
           person("1999-2016 The R Core Team", role = "cph")
           )
Description: A C/C++ based package for advanced data transformation and 
    statistical computing in R that is extremely fast, class-agnostic, robust and 
    programmer friendly. Core functionality includes a rich set of S3 generic grouped 
    and weighted statistical functions for vectors, matrices and data frames, which 
    provide efficient low-level vectorizations, OpenMP multithreading, and skip missing 
    values by default. These are integrated with fast grouping and ordering algorithms 
    (also callable from C), and efficient data manipulation functions. The package also 
    provides a flexible and rigorous approach to time series and panel data in R. 
    It further includes fast functions for common statistical procedures, detailed 
    (grouped, weighted) summary statistics, powerful tools to work with nested data, 
    fast data object conversions, functions for memory efficient R programming, and 
    helpers to effectively deal with variable labels, attributes, and missing data. 
    It is well integrated with base R classes, 'dplyr'/'tibble', 'data.table', 'sf', 
    'plm' (panel-series and data frames), and 'xts'/'zoo'.
URL: https://sebkrantz.github.io/collapse/,
        https://github.com/SebKrantz/collapse,
        https://twitter.com/collapse_R
BugReports: https://github.com/SebKrantz/collapse/issues
License: GPL (>= 2) | file LICENSE
Encoding: UTF-8
LazyData: true
Depends: R (>= 3.3.0)
Imports: Rcpp (>= 1.0.1)
LinkingTo: Rcpp
Suggests: fastverse, data.table, magrittr, kit, xts, zoo, plm, fixest,
        vars, RcppArmadillo, RcppEigen, tibble, dplyr, ggplot2, scales,
        microbenchmark, testthat, covr, knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2024-02-11 08:00:50 UTC; sebastiankrantz
Author: Sebastian Krantz [aut, cre] (<https://orcid.org/0000-0001-6212-5229>),
  Matt Dowle [ctb],
  Arun Srinivasan [ctb],
  Morgan Jacob [ctb],
  Dirk Eddelbuettel [ctb],
  Laurent Berge [ctb],
  Kevin Tappe [ctb],
  R Core Team and contributors worldwide [ctb],
  Martyn Plummer [cph],
  1999-2016 The R Core Team [cph]
Maintainer: Sebastian Krantz <sebastian.krantz@graduateinstitute.ch>
Repository: CRAN
Date/Publication: 2024-02-17 17:00:02 UTC

=== debian/changelog ===
r-cran-collapse (2.0.10-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 20 Feb 2024 14:27:29 +0100

r-cran-collapse (2.0.9-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jan 2024 11:13:13 +0100

r-cran-collapse (2.0.7-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 20 Dec 2023 20:00:00 +0100

r-cran-collapse (2.0.6-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  * Skip test requiring not yet packaged kit

 -- Andreas Tille <tille@debian.org>  Mon, 20 Nov 2023 20:57:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-collapse
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-collapse
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-collapse.git
-Homepage: https://cran.r-project.org/package=collapse
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp
-Testsuite: autopkgtest-pkg-r
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-collapse
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-collapse.git
+Homepage: https://cran.r-project.org/package=collapse
+Rules-Requires-Root: no
 
 Package: r-cran-collapse
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-data.table,
        r-cran-magrittr,
        r-cran-xts,
        r-cran-zoo,
        r-cran-plm,
        r-cran-rcpparmadillo,
        r-cran-rcppeigen,
        r-cran-tibble,
        r-cran-dplyr,
        r-cran-ggplot2,
        r-cran-scales,
        r-cran-testthat,
        r-cran-covr,
        r-cran-knitr,
        r-cran-rmarkdown
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/collapse_([-\d.]*)\.tar\.gz

## r-cran-collapse 2.0.14

=== debian/changelog ===
r-cran-collapse (2.0.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Tue, 25 Jun 2024 15:44:48 +0900

r-cran-collapse (2.0.13-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 12 May 2024 07:02:17 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-rcpp
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-collapse
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-collapse.git
 Homepage: https://cran.r-project.org/package=collapse

## r-cran-collapse 2.0.16

=== debian/changelog ===
r-cran-collapse (2.0.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove obsoleted d/p/ignore_test_requiring_package_kit.patch

 -- Charles Plessy <plessy@debian.org>  Mon, 02 Sep 2024 10:48:56 +0900

=== debian/tests/control ===
--- 
+++ 
@@ -11,8 +11,10 @@
         r-cran-dplyr,
         r-cran-ggplot2,
         r-cran-scales,
+        r-cran-microbenchmark,
         r-cran-testthat,
         r-cran-covr,
         r-cran-knitr,
-        r-cran-rmarkdown
+        r-cran-rmarkdown,
+        r-cran-withr
 Restrictions: allow-stderr

## r-cran-collapse 2.0.19

=== debian/changelog ===
r-cran-collapse (2.0.19-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 23 Jan 2025 10:19:16 +0900

## r-cran-collapse 2.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: collapse
 Title: Advanced and Fast Data Transformation
-Version: 2.0.10
-Date: 2024-02-09
+Version: 2.1.0
+Date: 2025-03-10
 Authors@R: c(
            person("Sebastian", "Krantz", role = c("aut", "cre"), 
                   email = "sebastian.krantz@graduateinstitute.ch", 
@@ -12,6 +12,7 @@
            person("Dirk", "Eddelbuettel", role = "ctb"),
            person("Laurent", "Berge", role = "ctb"),
            person("Kevin", "Tappe", role = "ctb"),
+           person("Alina", "Cherkas", role = "ctb"),
            person("R Core Team and contributors worldwide", role = "ctb"),
            person("Martyn", "Plummer", role = "cph"),
            person("1999-2016 The R Core Team", role = "cph")
@@ -28,24 +29,23 @@
     (grouped, weighted) summary statistics, powerful tools to work with nested data, 
     fast data object conversions, functions for memory efficient R programming, and 
     helpers to effectively deal with variable labels, attributes, and missing data. 
-    It is well integrated with base R classes, 'dplyr'/'tibble', 'data.table', 'sf', 
+    It is well integrated with base R classes, 'dplyr'/'tibble', 'data.table', 'sf', 'units', 
     'plm' (panel-series and data frames), and 'xts'/'zoo'.
 URL: https://sebkrantz.github.io/collapse/,
-        https://github.com/SebKrantz/collapse,
-        https://twitter.com/collapse_R
+        https://github.com/SebKrantz/collapse
 BugReports: https://github.com/SebKrantz/collapse/issues
 License: GPL (>= 2) | file LICENSE
 Encoding: UTF-8
 LazyData: true
-Depends: R (>= 3.3.0)
+Depends: R (>= 4.1.0)
 Imports: Rcpp (>= 1.0.1)
 LinkingTo: Rcpp
 Suggests: fastverse, data.table, magrittr, kit, xts, zoo, plm, fixest,
         vars, RcppArmadillo, RcppEigen, tibble, dplyr, ggplot2, scales,
-        microbenchmark, testthat, covr, knitr, rmarkdown
+        microbenchmark, testthat, covr, knitr, rmarkdown, withr, bit64
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2024-02-11 08:00:50 UTC; sebastiankrantz
+Packaged: 2025-03-10 04:37:59 UTC; sebastiankrantz
 Author: Sebastian Krantz [aut, cre] (<https://orcid.org/0000-0001-6212-5229>),
   Matt Dowle [ctb],
   Arun Srinivasan [ctb],
@@ -53,9 +53,10 @@
   Dirk Eddelbuettel [ctb],
   Laurent Berge [ctb],
   Kevin Tappe [ctb],
+  Alina Cherkas [ctb],
   R Core Team and contributors worldwide [ctb],
   Martyn Plummer [cph],
   1999-2016 The R Core Team [cph]
 Maintainer: Sebastian Krantz <sebastian.krantz@graduateinstitute.ch>
 Repository: CRAN
-Date/Publication: 2024-02-17 17:00:02 UTC
+Date/Publication: 2025-03-10 11:40:02 UTC

=== debian/changelog ===
r-cran-collapse (2.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 12 Mar 2025 11:59:16 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-rcpp
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-collapse
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-collapse.git
 Homepage: https://cran.r-project.org/package=collapse

=== debian/tests/control ===
--- 
+++ 
@@ -16,5 +16,6 @@
         r-cran-covr,
         r-cran-knitr,
         r-cran-rmarkdown,
-        r-cran-withr
+        r-cran-withr,
+        r-cran-bit64
 Restrictions: allow-stderr

## r-cran-collapse 2.1.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: collapse
 Title: Advanced and Fast Data Transformation
-Version: 2.1.0
-Date: 2025-03-10
+Version: 2.1.5
+Date: 2025-11-18
 Authors@R: c(
            person("Sebastian", "Krantz", role = c("aut", "cre"), 
                   email = "sebastian.krantz@graduateinstitute.ch", 
@@ -17,20 +17,20 @@
            person("Martyn", "Plummer", role = "cph"),
            person("1999-2016 The R Core Team", role = "cph")
            )
-Description: A C/C++ based package for advanced data transformation and 
-    statistical computing in R that is extremely fast, class-agnostic, robust and 
+Description: A large C/C++-based package for advanced data transformation and 
+    statistical computing in R that is extremely fast, class-agnostic, robust, and 
     programmer friendly. Core functionality includes a rich set of S3 generic grouped 
     and weighted statistical functions for vectors, matrices and data frames, which 
     provide efficient low-level vectorizations, OpenMP multithreading, and skip missing 
     values by default. These are integrated with fast grouping and ordering algorithms 
     (also callable from C), and efficient data manipulation functions. The package also 
-    provides a flexible and rigorous approach to time series and panel data in R. 
-    It further includes fast functions for common statistical procedures, detailed 
+    provides a flexible and rigorous approach to time series and panel data in R, fast 
+    functions for data transformation and common statistical procedures, detailed 
     (grouped, weighted) summary statistics, powerful tools to work with nested data, 
     fast data object conversions, functions for memory efficient R programming, and 
-    helpers to effectively deal with variable labels, attributes, and missing data. 
-    It is well integrated with base R classes, 'dplyr'/'tibble', 'data.table', 'sf', 'units', 
-    'plm' (panel-series and data frames), and 'xts'/'zoo'.
+    helpers to effectively deal with variable labels, attributes, and missing data. It 
+    seamlessly supports base R objects/classes as well as 'units', 'integer64', 'xts'/
+    'zoo', 'tibble', 'grouped_df', 'data.table', 'sf', and 'pseries'/'pdata.frame'.
 URL: https://sebkrantz.github.io/collapse/,
         https://github.com/SebKrantz/collapse
 BugReports: https://github.com/SebKrantz/collapse/issues
@@ -45,8 +45,9 @@
         microbenchmark, testthat, covr, knitr, rmarkdown, withr, bit64
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2025-03-10 04:37:59 UTC; sebastiankrantz
-Author: Sebastian Krantz [aut, cre] (<https://orcid.org/0000-0001-6212-5229>),
+Packaged: 2025-11-18 23:01:05 UTC; sebastiankrantz
+Author: Sebastian Krantz [aut, cre] (ORCID:
+    <https://orcid.org/0000-0001-6212-5229>),
   Matt Dowle [ctb],
   Arun Srinivasan [ctb],
   Morgan Jacob [ctb],
@@ -59,4 +60,4 @@
   1999-2016 The R Core Team [cph]
 Maintainer: Sebastian Krantz <sebastian.krantz@graduateinstitute.ch>
 Repository: CRAN
-Date/Publication: 2025-03-10 11:40:02 UTC
+Date/Publication: 2025-11-19 06:10:26 UTC

=== debian/changelog ===
r-cran-collapse (2.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  Set upstream metadata fields: Repository, Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Tue, 16 Dec 2025 11:59:46 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp
+               r-cran-rcpp,
+               architecture-is-64-bit,
+               architecture-is-little-endian
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-collapse
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-collapse.git

## r-cran-collapse 2.1.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: collapse
 Title: Advanced and Fast Data Transformation
-Version: 2.1.5
-Date: 2025-11-18
+Version: 2.1.6
+Date: 2025-12-21
 Authors@R: c(
            person("Sebastian", "Krantz", role = c("aut", "cre"), 
                   email = "sebastian.krantz@graduateinstitute.ch", 
@@ -13,6 +13,7 @@
            person("Laurent", "Berge", role = "ctb"),
            person("Kevin", "Tappe", role = "ctb"),
            person("Alina", "Cherkas", role = "ctb"),
+           person("Ivan", "Krylov", role = "ctb"),
            person("R Core Team and contributors worldwide", role = "ctb"),
            person("Martyn", "Plummer", role = "cph"),
            person("1999-2016 The R Core Team", role = "cph")
@@ -31,9 +32,9 @@
     helpers to effectively deal with variable labels, attributes, and missing data. It 
     seamlessly supports base R objects/classes as well as 'units', 'integer64', 'xts'/
     'zoo', 'tibble', 'grouped_df', 'data.table', 'sf', and 'pseries'/'pdata.frame'.
-URL: https://sebkrantz.github.io/collapse/,
-        https://github.com/SebKrantz/collapse
-BugReports: https://github.com/SebKrantz/collapse/issues
+URL: https://fastverse.org/collapse/,
+        https://github.com/fastverse/collapse
+BugReports: https://github.com/fastverse/collapse/issues
 License: GPL (>= 2) | file LICENSE
 Encoding: UTF-8
 LazyData: true
@@ -45,7 +46,7 @@
         microbenchmark, testthat, covr, knitr, rmarkdown, withr, bit64
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2025-11-18 23:01:05 UTC; sebastiankrantz
+Packaged: 2026-01-10 06:05:02 UTC; sebastiankrantz
 Author: Sebastian Krantz [aut, cre] (ORCID:
     <https://orcid.org/0000-0001-6212-5229>),
   Matt Dowle [ctb],
@@ -55,9 +56,10 @@
   Laurent Berge [ctb],
   Kevin Tappe [ctb],
   Alina Cherkas [ctb],
+  Ivan Krylov [ctb],
   R Core Team and contributors worldwide [ctb],
   Martyn Plummer [cph],
   1999-2016 The R Core Team [cph]
 Maintainer: Sebastian Krantz <sebastian.krantz@graduateinstitute.ch>
 Repository: CRAN
-Date/Publication: 2025-11-19 06:10:26 UTC
+Date/Publication: 2026-01-11 06:11:35 UTC

=== debian/changelog ===
r-cran-collapse (2.1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 14 Jan 2026 08:48:39 +0900

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-rcpp,
                architecture-is-64-bit,
                architecture-is-little-endian
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-collapse
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-collapse.git
 Homepage: https://cran.r-project.org/package=collapse
